This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496988 - kmail default save dir regression
kmail default save dir regression
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 18:28 EDT by Steve Grubb
Modified: 2015-07-13 13:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 00:45:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2009-04-21 18:28:41 EDT
Description of problem:
When using kmail to save attachments from an email, it wants to save them to / rather than ~/Documents like it did in F-9. This is a regression compared to how it used to work since no one should have write perms to / except root.

Version-Release number of selected component (if applicable):
kdepim-4.2.1-3.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. receive email with attachment
2. try to save it
3. note what dir you start off in
  
Actual results:
/

Expected results:
~/Documents
Comment 1 Steven M. Parrish 2009-05-30 22:25:58 EDT
Rex, Kevin_Kofler is this something we can take care of locally with a config change or de we need to send this upstream?
Comment 2 Lukáš Tinkl 2009-05-31 11:14:49 EDT
This most certainly needs to be fixed upstream in the code itself; should be rather easy job. I can take a look...
Comment 3 Steven M. Parrish 2009-05-31 18:15:33 EDT
Thanks ltinkl.  Do you want me to file an upstream report or will you handle it?
Comment 4 Steven M. Parrish 2009-06-28 20:41:47 EDT
ltinkl, any movement on this?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Lukáš Tinkl 2009-06-28 21:00:53 EDT
Thanks for the reminder, I'll look into this
Comment 6 Fedora Update System 2009-08-15 04:19:29 EDT
qscintilla-2.4-4.fc11, kdebindings-4.3.0-4.fc11.1, kdeedu-4.3.0-4.fc11, kdepim-4.3.0-2.fc11, libmsn-4.0-0.12.beta7.fc11, PyKDE-3.16.3-1.fc11, PyQt4-4.5.4-1.fc11, PyQt-3.18.1-1.fc11, sip-4.8.2-1.fc11, kdelibs-4.3.0-2.fc11, kdeaccessibility-4.3.0-3.fc11, kdeadmin-4.3.0-1.fc11, kdeartwork-4.3.0-1.fc11, kdebase-4.3.0-1.fc11, kdebase-workspace-4.3.0-5.fc11, kdegames-4.3.0-2.fc11, kdegraphics-4.3.0-1.fc11, kdelibs-experimental-4.3.0-1.fc11, kdemultimedia-4.3.0-1.fc11, kdenetwork-4.3.0-1.fc11, kdepim-runtime-4.3.0-1.fc11, kdepimlibs-4.3.0-2.fc11, kdeplasma-addons-4.3.0-5.fc11, kdesdk-4.3.0-1.fc11, kdetoys-4.3.0-1.fc11, kdeutils-4.3.0-3.fc11, kde-plasma-stasks-0.5.1-6.fc11, soprano-2.3.0-2.fc11, strigi-0.7.0-1.fc11, akonadi-1.2.0-1.fc11, kdegames3-3.5.10-6.fc11, kde-i18n-3.5.10-9.fc11, kde-l10n-4.3.0-1.fc11, oxygen-icon-theme-4.3.0-1.fc11, digikam-0.10.0-2.fc11, kdebase-runtime-4.3.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qscintilla kdebindings kdeedu kdepim libmsn PyKDE PyQt4 PyQt sip kdelibs kdeaccessibility kdeadmin kdeartwork kdebase kdebase-workspace kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kde-plasma-stasks soprano strigi akonadi kdegames3 kde-i18n kde-l10n oxygen-icon-theme digikam kdebase-runtime'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8368
Comment 7 Fedora Update System 2009-08-19 19:14:25 EDT
qscintilla-2.4-4.fc11, kdebindings-4.3.0-4.fc11.1, kdeedu-4.3.0-4.fc11, kdepim-4.3.0-2.fc11, libmsn-4.0-0.12.beta7.fc11, PyKDE-3.16.3-1.fc11, PyQt4-4.5.4-1.fc11, PyQt-3.18.1-1.fc11, sip-4.8.2-1.fc11, kdeaccessibility-4.3.0-3.fc11, kdeadmin-4.3.0-1.fc11, kdeartwork-4.3.0-1.fc11, kdebase-4.3.0-1.fc11, kdebase-workspace-4.3.0-5.fc11, kdegames-4.3.0-2.fc11, kdegraphics-4.3.0-1.fc11, kdelibs-experimental-4.3.0-1.fc11, kdemultimedia-4.3.0-1.fc11, kdenetwork-4.3.0-1.fc11, kdepim-runtime-4.3.0-1.fc11, kdepimlibs-4.3.0-2.fc11, kdeplasma-addons-4.3.0-5.fc11, kdesdk-4.3.0-1.fc11, kdetoys-4.3.0-1.fc11, kdeutils-4.3.0-3.fc11, kde-plasma-stasks-0.5.1-6.fc11, soprano-2.3.0-2.fc11, strigi-0.7.0-1.fc11, akonadi-1.2.0-1.fc11, kdegames3-3.5.10-6.fc11, kde-i18n-3.5.10-9.fc11, kde-l10n-4.3.0-1.fc11, oxygen-icon-theme-4.3.0-1.fc11, digikam-0.10.0-2.fc11, kdebase-runtime-4.3.0-4.fc11, kdelibs-4.3.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qscintilla kdebindings kdeedu kdepim libmsn PyKDE PyQt4 PyQt sip kdeaccessibility kdeadmin kdeartwork kdebase kdebase-workspace kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kde-plasma-stasks soprano strigi akonadi kdegames3 kde-i18n kde-l10n oxygen-icon-theme digikam kdebase-runtime kdelibs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8368
Comment 8 Fedora Update System 2009-08-21 20:57:43 EDT
qscintilla-2.4-4.fc11, kdebindings-4.3.0-4.fc11.1, kdelibs-4.3.0-6.fc11, kdeartwork-4.3.0-2.fc11, kdebase-workspace-4.3.0-8.fc11, kdeedu-4.3.0-5.fc11, kdepim-4.3.0-4.fc11, kdeplasma-addons-4.3.0-8.fc11, libmsn-4.0-0.12.beta7.fc11, PyKDE-3.16.3-1.fc11, PyQt4-4.5.4-1.fc11, PyQt-3.18.1-1.fc11, sip-4.8.2-1.fc11, kdeaccessibility-4.3.0-3.fc11, kdeadmin-4.3.0-1.fc11, kdebase-4.3.0-1.fc11, kdegames-4.3.0-2.fc11, kdegraphics-4.3.0-1.fc11, kdelibs-experimental-4.3.0-1.fc11, kdemultimedia-4.3.0-1.fc11, kdenetwork-4.3.0-1.fc11, kdepim-runtime-4.3.0-1.fc11, kdepimlibs-4.3.0-2.fc11, kdesdk-4.3.0-1.fc11, kdetoys-4.3.0-1.fc11, kdeutils-4.3.0-3.fc11, kde-plasma-stasks-0.5.1-6.fc11, soprano-2.3.0-2.fc11, strigi-0.7.0-1.fc11, akonadi-1.2.0-1.fc11, kdegames3-3.5.10-6.fc11, kde-i18n-3.5.10-9.fc11, kde-l10n-4.3.0-1.fc11, oxygen-icon-theme-4.3.0-1.fc11, digikam-0.10.0-2.fc11, kdebase-runtime-4.3.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qscintilla kdebindings kdelibs kdeartwork kdebase-workspace kdeedu kdepim kdeplasma-addons libmsn PyKDE PyQt4 PyQt sip kdeaccessibility kdeadmin kdebase kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim-runtime kdepimlibs kdesdk kdetoys kdeutils kde-plasma-stasks soprano strigi akonadi kdegames3 kde-i18n kde-l10n oxygen-icon-theme digikam kdebase-runtime'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8368
Comment 9 Fedora Update System 2009-08-25 00:34:23 EDT
qscintilla-2.4-4.fc10, kdebase-workspace-4.3.0-9.fc10, kdeedu-4.3.0-6.fc10, kdelibs-4.3.0-6.fc10, kdeartwork-4.3.0-2.fc10, kdepim-4.3.0-4.fc10, kdeplasma-addons-4.3.0-8.fc10, qzion-0.4.0-1.fc10, qedje-0.4.0-1.fc10, libmsn-4.0-0.12.beta7.fc10, PyKDE-3.16.3-1.fc10, PyQt4-4.5.4-1.fc10, PyQt-3.18.1-1.fc10, sip-4.8.2-1.fc10, kdeaccessibility-4.3.0-3.fc10, kdeadmin-4.3.0-1.fc10, kdebase-4.3.0-1.fc10, kdegames-4.3.0-2.fc10, kdegraphics-4.3.0-1.fc10, kdelibs-experimental-4.3.0-1.fc10, kdemultimedia-4.3.0-1.fc10, kdenetwork-4.3.0-1.fc10, kdepim-runtime-4.3.0-1.fc10, kdepimlibs-4.3.0-2.fc10, kdesdk-4.3.0-1.fc10, kdetoys-4.3.0-1.fc10, kdeutils-4.3.0-3.fc10, kde-plasma-stasks-0.5.1-6.fc10, soprano-2.3.0-2.fc10, strigi-0.7.0-1.fc10, akonadi-1.2.0-1.fc10, kdegames3-3.5.10-6.fc10, kde-i18n-3.5.10-9.fc10, kde-l10n-4.3.0-1.fc10, oxygen-icon-theme-4.3.0-1.fc10, digikam-0.10.0-2.fc10, kdebase-runtime-4.3.0-4.fc10, kdebindings-4.3.0-4.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-08-25 00:43:58 EDT
qscintilla-2.4-4.fc11, kdebindings-4.3.0-4.fc11.1, kdebase-workspace-4.3.0-9.fc11, kdeedu-4.3.0-6.fc11, kdelibs-4.3.0-6.fc11, kdeartwork-4.3.0-2.fc11, kdepim-4.3.0-4.fc11, kdeplasma-addons-4.3.0-8.fc11, libmsn-4.0-0.12.beta7.fc11, PyKDE-3.16.3-1.fc11, PyQt4-4.5.4-1.fc11, PyQt-3.18.1-1.fc11, sip-4.8.2-1.fc11, kdeaccessibility-4.3.0-3.fc11, kdeadmin-4.3.0-1.fc11, kdebase-4.3.0-1.fc11, kdegames-4.3.0-2.fc11, kdegraphics-4.3.0-1.fc11, kdelibs-experimental-4.3.0-1.fc11, kdemultimedia-4.3.0-1.fc11, kdenetwork-4.3.0-1.fc11, kdepim-runtime-4.3.0-1.fc11, kdepimlibs-4.3.0-2.fc11, kdesdk-4.3.0-1.fc11, kdetoys-4.3.0-1.fc11, kdeutils-4.3.0-3.fc11, kde-plasma-stasks-0.5.1-6.fc11, soprano-2.3.0-2.fc11, strigi-0.7.0-1.fc11, akonadi-1.2.0-1.fc11, kdegames3-3.5.10-6.fc11, kde-i18n-3.5.10-9.fc11, kde-l10n-4.3.0-1.fc11, oxygen-icon-theme-4.3.0-1.fc11, digikam-0.10.0-2.fc11, kdebase-runtime-4.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.